Gene {galgo} | R Documentation

## The representation of a gene in a chromosome for genetic algorithms

### Description

Represents the behaviour of a gene in a chromosome for the genetic algorithm. The default properties are supposed to be used in the variable selection problem for microarray data. However, they can be used for any other problem. In addition, any other wanted variable can be added.

See references for Genetic Algorithms.

### Usage

    Gene(id=0, shape1=0, shape2=0, generateFunc=runifInt, ...)

### Arguments

`id` | To identify the object.
`shape1` | Parameter for a distribution. Used to generate a random value for a gene (mean, minimum, alfa, etc).
`shape2` | Parameter for a distribution. Used to generate a random value for a gene (sd, maximum, beta, etc).

`generateFunc`

Function that generate a random value for a gene using the above shape parameters. This function would be used to get an initial value and to mutate a gene. The default is a random uniform integer with shape1 as minimum and shape2 as maximum (either inclusive). The parameters used in the call are object, n, shape1, and shape2. The random value generated is not saved. If future values depends on the previous, you must save it explicitly in the object.

`...` | Other user named values to include in the object.

### Class

Package: galgo
Class Gene

`Object`
`~~|`
`~~+--``Gene`

Directly known subclasses:

public static class Gene
extends Object

### Fields and Methods

Methods:

| `as.double` | Converts the gene parameters (shape1, shape2) to its numerical representation.
| `as.matrix` | Converts the gene parameters (shape1, shape2) to matrix.
| `generateRandom` | Generates a random value from the defined function.
| `mutate` | Mutates a gene.
| `newCollection` | Generates a list of cloned objects.
| `newRandomCollection` | Generates a list of cloned objects and random values.
| `print` | Prints the representation of a gene object.
| `reInit` | Erases all internal values in order to re-use the object.
| `summary` | Prints the representation of a gene object.

Methods inherited from Object:
as.list, unObject, $, $<-, [[, [[<-, as.character, attach, clone, detach, equals, extend, finalize, getFields, getInstanciationTime, getStaticInstance, hasField, hashCode, ll, load, objectSize, print, save

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

`Chromosome`. `Niche`. `World`. `Galgo`. `BigBang`. `runifInt`.

### Examples

      ge <- Gene(shape1=1, shape2=100)
      ge

[Package galgo version 1.4 Index]